databases/leveldb - The NetBSD Packages Collection

Fast and lightweight key/value database library by Google

LevelDB is a fast key-value storage library written at Google that
provides an ordered mapping from string keys to string values.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

devel/snappy

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfleveldb-1.22.tgz
NetBSD 8.0earmv7hfleveldb-1.22.tgz
NetBSD 8.0earmv7hfleveldb-1.22nb1.tgz
NetBSD 8.0i386leveldb-1.22.tgz
NetBSD 8.0i386leveldb-1.22.tgz
NetBSD 8.0i386leveldb-1.22nb1.tgz
NetBSD 8.0powerpcleveldb-1.22.tgz
NetBSD 8.0powerpcleveldb-1.22.tgz
NetBSD 8.0powerpcleveldb-1.22.tgz
NetBSD 8.0x86_64leveldb-1.22nb1.tgz
NetBSD 8.0x86_64leveldb-1.22.tgz
NetBSD 8.0x86_64leveldb-1.22.tgz
NetBSD 9.0aarch64leveldb-1.22nb1.tgz
NetBSD 9.0aarch64leveldb-1.22.tgz
NetBSD 9.0aarch64leveldb-1.22.tgz
NetBSD 9.0alphaleveldb-1.22nb1.tgz
NetBSD 9.0alphaleveldb-1.22.tgz
NetBSD 9.0alphaleveldb-1.22.tgz
NetBSD 9.0earmleveldb-1.22.tgz
NetBSD 9.0earmleveldb-1.22nb1.tgz
NetBSD 9.0earmv6hfleveldb-1.22nb1.tgz
NetBSD 9.0earmv6hfleveldb-1.22.tgz
NetBSD 9.0earmv6hfleveldb-1.22.tgz
NetBSD 9.0earmv6hfleveldb-1.22.tgz
NetBSD 9.0earmv7hfleveldb-1.22nb1.tgz
NetBSD 9.0earmv7hfleveldb-1.22.tgz
NetBSD 9.0earmv7hfleveldb-1.22.tgz
NetBSD 9.0earmv7hfleveldb-1.22.tgz
NetBSD 9.0i386leveldb-1.22.tgz
NetBSD 9.0i386leveldb-1.22.tgz
NetBSD 9.0i386leveldb-1.22nb1.tgz
NetBSD 9.0mips64ebleveldb-1.22nb1.tgz
NetBSD 9.0mips64ebleveldb-1.22.tgz
NetBSD 9.0mips64ebleveldb-1.22.tgz
NetBSD 9.0powerpcleveldb-1.22.tgz
NetBSD 9.0powerpcleveldb-1.22.tgz
NetBSD 9.0sh3elleveldb-1.22nb1.tgz
NetBSD 9.0sparc64leveldb-1.22nb1.tgz
NetBSD 9.0sparc64leveldb-1.22.tgz
NetBSD 9.0sparc64leveldb-1.22.tgz
NetBSD 9.0sparcleveldb-1.22nb1.tgz
NetBSD 9.0sparcleveldb-1.22.tgz
NetBSD 9.0sparcleveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22nb1.tgz
NetBSD 9.0x86_64leveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22.tgz
NetBSD 9.0x86_64leveldb-1.22nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.